查询出库单列表
POST
/erp/sc/routing/storage/outbound/getOrders接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/storage/outbound/getOrders | HTTPS | POST | 1 |
请求参数
offsetintegerlengthintegerwidstringsearch_field_timestringstart_datestringend_datestringorder_snstringidempotent_codestringstatusintegertypeinteger请求示例
{
"offset": 0,
"length": 20,
"wid": 53,
"search_field_time": "create_time",
"start_date": "2024-07-30",
"end_date": "2024-07-30",
"order_sn": "OB240730003",
"idempotent_code": "OB240730003",
"status": 40,
"type": 15
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
increment_timestring必填custom_fieldsarray<object>必填隐藏子属性
idstring必填namestring必填val_textstring必填opt_realnamestring必填opt_timestring必填opt_uidinteger必填outbound_timestring必填commit_realnamestring必填commit_uidinteger必填commit_timestring必填order_snstring必填statusinteger必填status_textstring必填create_timestring必填create_uidinteger必填create_realnamestring必填purchase_order_snstring必填revoke_realnamestring必填revoke_uidinteger必填revoke_timestring必填supplier_idstring必填supplier_namestring必填source_snstring必填order_amountstring必填cg_uidinteger必填return_pricestring必填currencystring必填other_feestring必填fee_part_typestring必填fee_part_type_textstring必填typeinteger必填type_textstring必填custom_type_idinteger必填custom_type_namestring必填cg_realnamestring必填widstring必填ware_house_namestring必填to_widstring必填to_ware_house_namestring必填remarkstring必填idempotent_codestring必填item_listarray<object>必填隐藏子属性
product_namestring必填skustring必填fnskustring必填seller_idstring必填pricestring必填amountstring必填fee_coststring必填product_good_numinteger必填product_bad_numinteger必填product_qc_numinteger必填product_totalinteger必填product_amountsstring必填single_feestring必填single_stock_coststring必填product_remarkstring必填out_available_binstring必填隐藏子属性
whb_codestring必填whb_numstring必填out_inferior_binstring必填隐藏子属性
whb_codestring必填whb_numstring必填custom_fieldsarray<object>必填隐藏子属性
idstring必填namestring必填val_textstring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "92F6872A-B022-8FA6-8152-EAB2F401659F",
"response_time": "2024-07-31 16:23:44",
"data": [
{
"opt_realname": "朱蒙蒙",
"opt_time": "2024-07-30 11:05:29",
"outbound_time": "2024-07-30 11:05:29",
"opt_uid": 33,
"commit_realname": "朱蒙蒙",
"commit_uid": 33,
"commit_time": "2024-07-30 11:05:29",
"order_sn": "OB240730003",
"status": 40,
"status_text": "已完成",
"create_time": "2024-07-30 11:05:29",
"create_uid": 33,
"create_realname": "朱蒙蒙",
"purchase_order_sn": "",
"revoke_realname": "",
"revoke_uid": 0,
"revoke_time": "",
"supplier_id": 0,
"supplier_name": "",
"source_sn": "OWS240730001",
"order_amount": "0.000000",
"cg_uid": 0,
"return_price": "0.000000",
"currency": "¥",
"other_fee": "0.000000",
"fee_part_type": 0,
"fee_part_type_text": "不分配",
"type": 15,
"type_text": "调拨出库",
"custom_type_id": 0,
"custom_type_name": "",
"cg_realname": "",
"wid": 53,
"ware_house_name": "义乌",
"to_wid": 9,
"to_ware_house_name": "小徐仓",
"remark": "备货单号:OWS240730001",
"increment_time": "2024-07-30 11:05:29",
"custom_fields": [],
"item_list": [
{
"product_name": "abc003-BWY-xin",
"sku": "abc003-BWY",
"fnsku": "",
"seller_id": "0",
"product_total": 10,
"product_good_num": 10,
"product_bad_num": 0,
"product_qc_num": 0,
"amount": "0.00",
"fee_cost": "0.00",
"head_way_fee": "0.00",
"product_amounts": "0.00",
"single_fee": "0.0000",
"unit_head_fee": "0.0000",
"single_stock_cost": "0.0000",
"price": "0.0000",
"product_remark": "",
"custom_fields": []
}
]
}
],
"total": 1
}